org.eclipse.viatra.query.runtime.localsearch.planner

## Class LocalSearchPlannerStrategy

- java.lang.Object
- - org.eclipse.viatra.query.runtime.localsearch.planner.LocalSearchPlannerStrategy

- All Implemented Interfaces:
    IQueryPlannerStrategy

  Deprecated.
  Use the `LocalSearchRuntimeBasedStrategy` and its belonging components instead.

      @Deprecated
      public class LocalSearchPlannerStrategy
      extends java.lang.Object
      implements IQueryPlannerStrategy

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSearchPlannerStrategy()` Deprecated.
    `LocalSearchPlannerStrategy(boolean allowInverseNavigation)` Deprecated.
    `LocalSearchPlannerStrategy(IConstraintEvaluablePredicateProvider constraintEnabler)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.eclipse.emf.ecore.EClassifier` | `extractClassifierLiteral(java.lang.String packageUriAndClassifierName)` Deprecated.
    `SubPlan` | `plan(PBody pBody, org.apache.log4j.Logger logger, IQueryMetaContext context)` Deprecated. The implementation of a local search-based algorithm to create a search plan for a flattened (and normalized) PBody
    `protected PConstraint` | `selectFirstConstraint(PBody pBody, SubPlan plan, java.util.Set<PConstraint> constraintSet, IQueryMetaContext context)` Deprecated.
    `protected PConstraint` | `selectNextConstraint(PBody pBody, SubPlan plan, java.util.Set<PConstraint> constraintSet, IQueryMetaContext context)` Deprecated.
    `void` | `setBoundVariables(java.util.Set<PVariable> initialBoundVariables)` Deprecated. Sets the initial adornment of the pattern.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalSearchPlannerStrategy

          public LocalSearchPlannerStrategy()

      Deprecated.

    - #### LocalSearchPlannerStrategy

          public LocalSearchPlannerStrategy(boolean allowInverseNavigation)

      Deprecated.

    - #### LocalSearchPlannerStrategy

          public LocalSearchPlannerStrategy(IConstraintEvaluablePredicateProvider constraintEnabler)

      Deprecated.

  - ### Method Detail

    - #### setBoundVariables

          public void setBoundVariables(java.util.Set<PVariable> initialBoundVariables)

      Deprecated.
      Sets the initial adornment of the pattern.
      Parameters:
        `initialBoundVariables` - set of PVariables that are bound

    - #### plan

          public SubPlan plan(PBody pBody,
                              org.apache.log4j.Logger logger,
                              IQueryMetaContext context)
                       throws QueryProcessingException

      Deprecated.
      The implementation of a local search-based algorithm to create a search plan for a flattened (and normalized) PBody
      Specified by:
        `plan` in interface `IQueryPlannerStrategy`
      Throws:
        `QueryProcessingException`

    - #### selectFirstConstraint

          protected PConstraint selectFirstConstraint(PBody pBody,
                                                      SubPlan plan,
                                                      java.util.Set<PConstraint> constraintSet,
                                                      IQueryMetaContext context)

      Deprecated.

    - #### selectNextConstraint

          protected PConstraint selectNextConstraint(PBody pBody,
                                                     SubPlan plan,
                                                     java.util.Set<PConstraint> constraintSet,
                                                     IQueryMetaContext context)

      Deprecated.

    - #### extractClassifierLiteral

          protected org.eclipse.emf.ecore.EClassifier extractClassifierLiteral(java.lang.String packageUriAndClassifierName)

      Deprecated.